API ReferenceRecordings

/public/companions/{companionId}/recordings/from-file

Generate a pre-recorded video from an uploaded audio file

POST
/public/companions/{companionId}/recordings/from-file

Generate a pre-recorded video from an uploaded audio file

Path Parameters

companionId*string

Header Parameters

X-API-Version?string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/json

application/json

curl -X POST "https://companion-api.napster.com/public/companions/string/recordings/from-file" \  -F File="string"
{
  "text": "string",
  "audioUrl": "string",
  "fromFile": true,
  "id": "string",
  "provider": "openAi",
  "voiceId": "string",
  "previewUrl": "string",
  "status": "pending",
  "createdAt": 0,
  "updatedAt": 0,
  "tags": {
    "property1": "string",
    "property2": "string"
  },
  "companion": {
    "id": "string",
    "firstName": "string",
    "lastName": "string"
  }
}
[
  {
    "code": "string",
    "description": "string",
    "type": "failure",
    "numericType": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}